@mixin cross($w: 20px, $bg: $white, $wh: 1px){
	width: $w;
	height: $w;
	&:before,&:after{
		position: absolute;
		content: ' ';
		left: $w / 2;
		height: $w;
		width: $wh;
		background-color: $bg;
		@include bgc-trans;
	}
	&:before {
		transform: rotate(45deg);
	}
	&:after {
		transform: rotate(-45deg);
	}
}
@mixin cross-childs($w: 20px, $bg: $white, $offset: 0, $wh: 1px){
	&:before,&:after{
		position: absolute;
		content: ' ';
		top: $offset;
		left: $w / 2 + $offset;
		height: $w;
		width: $wh;
		background-color: $bg;
		@include bgc-trans;
	}
	&:before {
		transform: rotate(45deg);
	}
	&:after {
		transform: rotate(-45deg);
	}
}